| Home | Libraries | People | FAQ | More

## Class template has_const_time_insert

boost::algorithm::has_const_time_insert — Const time insert trait.

## Synopsis

    template<typename T>
    class has_const_time_insert {
    public:
      // types
      typedef mpl::bool_< has_const_time_insert< T >::value > type;
      static const bool value;
    };

## Description

This trait specifies that the sequence's insert method has constant time complexity.